<script lang="ts">
  import ToastCalendar from "./ToastCalendar.svelte"
  import type { Options } from "@toast-ui/calendar"

  let options: Options = {
    usageStatistics: false,
    defaultView: "month",
    useFormPopup: true,
    timezone: {
      zones: [
        {
          timezoneName: "America/New_York",
          displayLabel: "NYC",
        },
        {
          timezoneName: "Asia/Tokyo",
          displayLabel: "Tokyo",
        },
      ],
    },
    calendars: [
      {
        id: "cal1",
        name: "Personal",
        backgroundColor: "#03bd9e",
      },
      {
        id: "cal2",
        name: "Work",
        backgroundColor: "#00a9ff",
      },
    ],
  }
</script>

<svelte:head>
  <title>Calendar</title>
  <meta name="description" content="Calendar App" />
</svelte:head>

<div class="calendar-container">
  <ToastCalendar {options} />
</div>

<style>
  .calendar-container {
    height: 85vh; /* Take up full viewport height */
  }
</style>
